#include <furi.h>
#include <dialogs/dialogs.h>

typedef struct {
    DialogsApp* dialogs;
} HelloWorld;

int32_t hello_world_app(void* p) {
  UNUSED(p);
  HelloWorld* helloworld = malloc(sizeof(HelloWorld));
  helloworld->dialogs = furi_record_open(RECORD_DIALOGS);
  DialogMessage* message = dialog_message_alloc();

  const char* header_text = "Hello world";
  const char* message_text = "Panki's first C program!";

  dialog_message_set_header(message, header_text, 63, 3, AlignCenter, AlignTop);
  dialog_message_set_text(message, message_text, 0, 17, AlignLeft, AlignTop);

  dialog_message_set_icon(message, &I_DolphinCommon_56x48, 72, 17);

  dialog_message_show(helloworld->dialogs, message);

  dialog_message_free(message);
  furi_record_close(RECORD_DIALOGS);
  free(helloworld);

  return 0;
}

